libosmogsm 1.13.1.1-afb4 Osmocom GSM library

Data Fields
gsm48_classmark3 Struct Reference

`#include <gsm_04_08.h>`

## Data Fields
uint8_t | a5_bits
uint8_t | mult_band_supp
uint8_t | assoc_radio_cap_1
uint8_t | assoc_radio_cap_2
struct {
bool present
uint8_t r_gsm_assoc_radio_cap
} | r_support
struct {
bool present
uint8_t mslot_class
} | hscsd_mult_slot_cap
bool | ucs2_treatment
bool | extended_meas_cap
struct {
bool present
uint8_t sms_value
uint8_t sm_value
} | ms_meas_cap
struct {
bool present
uint8_t method
} | ms_pos_method_cap
struct {
bool present
uint8_t mslot_class
} | ecsd_multislot_cap
struct {
bool present
bool mod_cap
struct {
bool present
uint8_t value
} rf_pwr_cap_1
struct {
bool present
uint8_t value
} rf_pwr_cap_2
} | psk8_struct
struct {
bool present
uint8_t value
uint8_t assoc_radio_cap
} | gsm_400_bands_supp
struct {
bool present
uint8_t value
} | gsm_850_assoc_radio_cap
struct {
bool present
uint8_t value
} | gsm_1900_assoc_radio_cap
bool | umts_fdd_rat_cap
bool | umts_tdd_rat_cap
bool | cdma200_rat_cap
struct {
bool present
uint8_t mslot_class
bool single_slot_dtm
struct {
bool present
uint8_t mslot_class
} dtm_egprs_multislot_cap
} | dtm_gprs_multislot_cap
struct {
bool present
uint8_t value
} | single_band_supp
struct {
bool present
uint8_t value
} | gsm_750_assoc_radio_cap
bool | umts_1_28_mcps_tdd_rat_cap
bool | geran_feature_package
struct {
bool present
uint8_t mslot_class
struct {
bool present
uint8_t mslot_class
} extended_dtm_egprs_multislot_cap
} | extended_dtm_gprs_multislot_cap
struct {
bool present
uint8_t value
} | high_multislot_cap
bool | geran_feature_package_2
uint8_t | gmsk_multislot_power_prof
uint8_t | psk8_multislot_power_prof
struct {
bool present
uint8_t value
uint8_t assoc_radio_cap
} | t_gsm_400_bands_supp
uint8_t | dl_advanced_rx_perf
bool | dtm_enhancements_cap
struct {
bool present
uint8_t mslot_class
bool offset_required
struct {
bool present
uint8_t mslot_class
} dtm_egprs_high_multislot_cap
} | dtm_gprs_high_multislot_cap
bool | repeated_acch_capability
struct {
bool present
uint8_t value
} | gsm_710_assoc_radio_cap
struct {
bool present
uint8_t value
} | t_gsm_810_assoc_radio_cap
bool | ciphering_mode_setting_cap
bool | add_pos_cap
bool | e_utra_fdd_supp
bool | e_utra_tdd_supp
bool | e_utra_meas_rep_supp
bool | prio_resel_supp
bool | utra_csg_cells_rep
uint8_t | vamos_level
uint8_t | tighter_capability
bool | sel_ciph_dl_sacch
uint8_t | cs_ps_srvcc_geran_utra
uint8_t | cs_ps_srvcc_geran_eutra
bool | geran_net_sharing
bool | e_utra_wb_rsrq_meas_supp
bool | er_band_support
bool | utra_mult_band_ind_supp
bool | e_utra_mult_band_ind_supp
bool | extended_tsc_set_cap_supp
bool | extended_earfcn_val_range

## Field Documentation

## ◆ a5_bits

uint8_t gsm48_classmark3::a5_bits

Referenced by gsm48_decode_classmark3().

## ◆ add_pos_cap

bool gsm48_classmark3::add_pos_cap

Referenced by gsm48_decode_classmark3().

## ◆ assoc_radio_cap

uint8_t gsm48_classmark3::assoc_radio_cap

Referenced by gsm48_decode_classmark3().

## ◆ assoc_radio_cap_1

uint8_t gsm48_classmark3::assoc_radio_cap_1

Referenced by gsm48_decode_classmark3().

## ◆ assoc_radio_cap_2

uint8_t gsm48_classmark3::assoc_radio_cap_2

Referenced by gsm48_decode_classmark3().

## ◆ cdma200_rat_cap

bool gsm48_classmark3::cdma200_rat_cap

Referenced by gsm48_decode_classmark3().

## ◆ ciphering_mode_setting_cap

bool gsm48_classmark3::ciphering_mode_setting_cap

Referenced by gsm48_decode_classmark3().

## ◆ cs_ps_srvcc_geran_eutra

uint8_t gsm48_classmark3::cs_ps_srvcc_geran_eutra

Referenced by gsm48_decode_classmark3().

## ◆ cs_ps_srvcc_geran_utra

uint8_t gsm48_classmark3::cs_ps_srvcc_geran_utra

Referenced by gsm48_decode_classmark3().

## ◆ dl_advanced_rx_perf

uint8_t gsm48_classmark3::dl_advanced_rx_perf

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::dtm_egprs_high_multislot_cap

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::dtm_egprs_multislot_cap

Referenced by gsm48_decode_classmark3().

## ◆ dtm_enhancements_cap

bool gsm48_classmark3::dtm_enhancements_cap

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::dtm_gprs_high_multislot_cap

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::dtm_gprs_multislot_cap

Referenced by gsm48_decode_classmark3().

## ◆ e_utra_fdd_supp

bool gsm48_classmark3::e_utra_fdd_supp

Referenced by gsm48_decode_classmark3().

## ◆ e_utra_meas_rep_supp

bool gsm48_classmark3::e_utra_meas_rep_supp

Referenced by gsm48_decode_classmark3().

## ◆ e_utra_mult_band_ind_supp

bool gsm48_classmark3::e_utra_mult_band_ind_supp

Referenced by gsm48_decode_classmark3().

## ◆ e_utra_tdd_supp

bool gsm48_classmark3::e_utra_tdd_supp

Referenced by gsm48_decode_classmark3().

## ◆ e_utra_wb_rsrq_meas_supp

bool gsm48_classmark3::e_utra_wb_rsrq_meas_supp

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::ecsd_multislot_cap

Referenced by gsm48_decode_classmark3().

## ◆ er_band_support

bool gsm48_classmark3::er_band_support

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::extended_dtm_egprs_multislot_cap

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::extended_dtm_gprs_multislot_cap

Referenced by gsm48_decode_classmark3().

## ◆ extended_earfcn_val_range

bool gsm48_classmark3::extended_earfcn_val_range

Referenced by gsm48_decode_classmark3().

## ◆ extended_meas_cap

bool gsm48_classmark3::extended_meas_cap

Referenced by gsm48_decode_classmark3().

## ◆ extended_tsc_set_cap_supp

bool gsm48_classmark3::extended_tsc_set_cap_supp

Referenced by gsm48_decode_classmark3().

## ◆ geran_feature_package

bool gsm48_classmark3::geran_feature_package

Referenced by gsm48_decode_classmark3().

## ◆ geran_feature_package_2

bool gsm48_classmark3::geran_feature_package_2

Referenced by gsm48_decode_classmark3().

## ◆ geran_net_sharing

bool gsm48_classmark3::geran_net_sharing

Referenced by gsm48_decode_classmark3().

## ◆ gmsk_multislot_power_prof

uint8_t gsm48_classmark3::gmsk_multislot_power_prof

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::gsm_1900_assoc_radio_cap

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::gsm_400_bands_supp

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::gsm_710_assoc_radio_cap

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::gsm_750_assoc_radio_cap

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::gsm_850_assoc_radio_cap

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::high_multislot_cap

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::hscsd_mult_slot_cap

Referenced by gsm48_decode_classmark3().

## ◆ method

uint8_t gsm48_classmark3::method

Referenced by gsm48_decode_classmark3().

## ◆ mod_cap

bool gsm48_classmark3::mod_cap

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::ms_meas_cap

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::ms_pos_method_cap

Referenced by gsm48_decode_classmark3().

## ◆ mslot_class

uint8_t gsm48_classmark3::mslot_class

Referenced by gsm48_decode_classmark3().

## ◆ mult_band_supp

uint8_t gsm48_classmark3::mult_band_supp

Referenced by gsm48_decode_classmark3().

## ◆ offset_required

bool gsm48_classmark3::offset_required

Referenced by gsm48_decode_classmark3().

## ◆ present

bool gsm48_classmark3::present

Referenced by gsm48_decode_classmark3().

## ◆ prio_resel_supp

bool gsm48_classmark3::prio_resel_supp

Referenced by gsm48_decode_classmark3().

## ◆ psk8_multislot_power_prof

uint8_t gsm48_classmark3::psk8_multislot_power_prof

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::psk8_struct

Referenced by gsm48_decode_classmark3().

## ◆ r_gsm_assoc_radio_cap

uint8_t gsm48_classmark3::r_gsm_assoc_radio_cap

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::r_support

Referenced by gsm48_decode_classmark3().

## ◆ repeated_acch_capability

bool gsm48_classmark3::repeated_acch_capability

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::rf_pwr_cap_1

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::rf_pwr_cap_2

Referenced by gsm48_decode_classmark3().

## ◆ sel_ciph_dl_sacch

bool gsm48_classmark3::sel_ciph_dl_sacch

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::single_band_supp

Referenced by gsm48_decode_classmark3().

## ◆ single_slot_dtm

bool gsm48_classmark3::single_slot_dtm

Referenced by gsm48_decode_classmark3().

## ◆ sm_value

uint8_t gsm48_classmark3::sm_value

Referenced by gsm48_decode_classmark3().

## ◆ sms_value

uint8_t gsm48_classmark3::sms_value

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::t_gsm_400_bands_supp

Referenced by gsm48_decode_classmark3().

## ◆

struct { ... } gsm48_classmark3::t_gsm_810_assoc_radio_cap

Referenced by gsm48_decode_classmark3().

## ◆ tighter_capability

uint8_t gsm48_classmark3::tighter_capability

Referenced by gsm48_decode_classmark3().

## ◆ ucs2_treatment

bool gsm48_classmark3::ucs2_treatment

Referenced by gsm48_decode_classmark3().

## ◆ umts_1_28_mcps_tdd_rat_cap

bool gsm48_classmark3::umts_1_28_mcps_tdd_rat_cap

Referenced by gsm48_decode_classmark3().

## ◆ umts_fdd_rat_cap

bool gsm48_classmark3::umts_fdd_rat_cap

Referenced by gsm48_decode_classmark3().

## ◆ umts_tdd_rat_cap

bool gsm48_classmark3::umts_tdd_rat_cap

Referenced by gsm48_decode_classmark3().

## ◆ utra_csg_cells_rep

bool gsm48_classmark3::utra_csg_cells_rep

Referenced by gsm48_decode_classmark3().

## ◆ utra_mult_band_ind_supp

bool gsm48_classmark3::utra_mult_band_ind_supp

Referenced by gsm48_decode_classmark3().

## ◆ value

uint8_t gsm48_classmark3::value

Referenced by gsm48_decode_classmark3().

## ◆ vamos_level

uint8_t gsm48_classmark3::vamos_level

Referenced by gsm48_decode_classmark3().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_04_08.h